<?php
/**
 * Удаление архивов авторов из XML карты сайта
 */
function my_seo_plugin_remove_author_sitemap( $provider, $name ) {
    // Убираем провайдер архивов авторов из карты сайта
    if ( 'users' === $name ) {
        return false;
    }

    return $provider;
}
add_filter( 'wp_sitemaps_add_provider', 'my_seo_plugin_remove_author_sitemap', 10, 2 );

function my_seo_plugin_exclude_taxonomies_from_sitemap( $args, $taxonomy ) {
    // Получаем глобальную настройку для таксономии
    $show_in_search_global = get_option("show_in_search_taxonomy_{$taxonomy}", 'yes');

    // Если глобальная настройка отключена, исключаем таксономию из сайтмапа
    if ( 'no' === $show_in_search_global ) {
        $args['meta_query'][] = array(
            'key'     => '_my_seo_plugin_show_in_search',
            'value'   => 'no',
            'compare' => '!='
        );
    } else {
        // Если глобальная настройка разрешает показ, проверяем метаполе для каждого термина
        $args['meta_query'][] = array(
            'relation' => 'OR',
            array(
                'key'     => '_my_seo_plugin_show_in_search',
                'value'   => 'yes',
                'compare' => '=='
            ),
            array(
                'key'     => '_my_seo_plugin_show_in_search',
                'compare' => 'NOT EXISTS'
            ),
        );
    }

    return $args;
}
add_filter( 'wp_sitemaps_taxonomies_query_args', 'my_seo_plugin_exclude_taxonomies_from_sitemap', 10, 2 );


/**
 * Исключение постов из сайтмапа на основе метаполя "_my_seo_plugin_show_in_search"
 */
function my_seo_plugin_exclude_from_sitemap( $args, $post_type ) {
    global $wpdb;

    // Получаем глобальную настройку 'show_in_search' для текущего типа записи
    $show_in_search_global = get_option("show_in_search_post_type_{$post_type}", 'yes');

    // Если глобальная настройка отключена ('no'), исключаем все посты данного типа
    if ( 'no' === $show_in_search_global ) {
        $args['meta_query'][] = array(
            'key'     => '_my_seo_plugin_show_in_search',
            'value'   => 'no',
            'compare' => '!='
        );
    } else {
        // Если глобальная настройка разрешает показ, проверяем метаполе для каждого поста
        $args['meta_query'][] = array(
            'relation' => 'OR',
            array(
                'key'     => '_my_seo_plugin_show_in_search',
                'value'   => 'yes',
                'compare' => '=='
            ),
            array(
                'key'     => '_my_seo_plugin_show_in_search',
                'compare' => 'NOT EXISTS'
            ),
        );
    }

    return $args;
}
add_filter( 'wp_sitemaps_posts_query_args', 'my_seo_plugin_exclude_from_sitemap', 10, 2 );