<?php 
// Edytowanie alpaka-seo/templates/main-settings-page.php (włączono)
?>

<div class="wrap">
    <h1 class="wp-heading-inline">SEO Настройки</h1>
    <hr class="wp-header-end">
	
	<!-- SIDEBAR -->
	<div class="seo-settings-sidebar">

		<h3>Типи записів</h3>
		<ul>
			<?php foreach ($post_types as $post_type): ?>
				<li>
					<a href="<?php echo esc_url(admin_url('admin.php?page=my-seo-plugin-settings&type=post_type&name=' . $post_type->name)); ?>">
						<?php echo esc_html($post_type->labels->name); ?>
					</a>
				</li>
			<?php endforeach; ?>
		</ul>

		<h3>Категорії та позначки</h3>
		<ul>
			<?php foreach ($taxonomies as $taxonomy): ?>
				<li>
					<a href="<?php echo esc_url(admin_url('admin.php?page=my-seo-plugin-settings&type=taxonomy&name=' . $taxonomy->name)); ?>">
						<?php echo esc_html($taxonomy->labels->name); ?>
					</a>
				</li>
			<?php endforeach; ?>
		</ul>

		<h3>Спеціальні сторінки</h3>
		<ul>
			<li><a href="<?php echo esc_url(admin_url('admin.php?page=my-seo-plugin-settings&type=special&name=archive')); ?>">Архіви</a></li>
			<li><a href="<?php echo esc_url(admin_url('admin.php?page=my-seo-plugin-settings&type=special&name=404')); ?>">Сторінка 404</a></li>
		</ul>
		
    </div><!-- .SIDEBAR -->

    <div class="seo-settings-content">
        <?php if (isset($_GET['type']) || isset($_GET['name'])): ?>
            <?php my_seo_plugin_render_settings_page($_GET['type'], $_GET['name']); ?>
        <?php else: ?>
		
            <h2>Добро пожаловать в настройки Моего SEO Плагина</h2>
            <p>Здесь вы можете настроить SEO параметры для различных типов записей и таксономий вашего сайта. Выберите тип записи или таксономию из списка слева, чтобы начать настройку.</p>
            <form method="post" action="options.php">
                <?php settings_fields('my_seo_plugin_options_group'); ?>
                <table class="form-table">
                    <tr valign="top">
                        <th scope="row">Код Google Webmaster Tools:</th>
                        <td><input type="text" name="my_seo_plugin_google_webmaster_code" value="<?php echo esc_attr($google_webmaster_code); ?>" /></td>
                    </tr>
                </table>
                <?php submit_button(); ?>
            </form>
        <?php endif; ?>
    </div>

    <div class="clear-both"></div>
</div>