<?php
// alpaka-seo/templates/settings-form.php
?>
<h2>Настройка для <?php echo esc_html($name); ?></h2>
<form method="post" action="">
    <?php wp_nonce_field('my_seo_plugin_save_settings', 'my_seo_plugin_nonce'); ?>

    <!-- SEO-заголовок -->
    <p>
        <label for="seo_title">SEO-заголовок:</label><br>
        <input type="text" id="seo_title" name="seo_title" value="<?php echo esc_attr($seo_title); ?>" style="width: 100%;">
        <button type="button" onclick="insertPlaceholderAtEnd('seo_title', '<?php echo $titlePlaceholder; ?>')">
            <?php echo $buttonText; ?>
        </button>
        <button type="button" onclick="insertPlaceholderAtEnd('seo_title', '{site_title}')">Вставити назву сайту</button>
        <button type="button" onclick="insertPlaceholderAtEnd('seo_title', '{current_year}')">Вставити поточний рік</button>
    </p>

    <!-- Мета-описание -->
    <p>
        <label for="meta_description">Мета-описание:</label><br>
        <textarea id="meta_description" name="meta_description" style="width: 100%;"><?php echo esc_textarea($meta_description); ?></textarea>
        <button type="button" onclick="insertPlaceholderAtEnd('meta_description', '<?php echo $titlePlaceholder; ?>')">
            <?php echo $buttonText; ?>
        </button>
        <button type="button" onclick="insertPlaceholderAtEnd('meta_description', '{site_title}')">Вставити назву сайту</button>
        <button type="button" onclick="insertPlaceholderAtEnd('meta_description', '{current_year}')">Вставити поточний рік</button>
    </p>

    <!-- Настройка добавления метабоксов -->
    <p>
        <label for="add_meta_boxes">Добавить метабоксы с настройками:</label><br>
        <select id="add_meta_boxes" name="add_meta_boxes">
            <option value="yes" <?php selected(get_option("add_meta_boxes_{$type}_{$name}", 'no'), 'yes'); ?>>Да</option>
            <option value="no" <?php selected(get_option("add_meta_boxes_{$type}_{$name}", 'no'), 'no'); ?>>Нет</option>
        </select>
    </p>

    <!-- Показывать в результатах поиска -->
    <p>
        <label for="show_in_search">Показувати <?php echo esc_html($name); ?> у результатах пошуку:</label><br>
        <select id="show_in_search" name="show_in_search">
            <option value="yes" <?php selected($show_in_search, 'yes'); ?>>Так</option>
            <option value="no" <?php selected($show_in_search, 'no'); ?>>Ні</option>
        </select>
        <br>
        <small>Вимкнення цієї опції означає, що <?php echo esc_html($name); ?> не будуть проіндексовані пошуковими системами і будуть виключені з XML-карт сайту.</small>
    </p>

    <!-- Поле для архива, если поддерживается -->
    <?php if ($supports_archive) {?>
	
	<h3>Настройки для архива</h3>
<p>
    <label for="archive_seo_title">SEO-заголовок для архива:</label><br>
    <input type="text" id="archive_seo_title" name="archive_seo_title" value="<?php echo esc_attr($archive_seo_title); ?>" style="width: 100%;">
    <button type="button" onclick="insertPlaceholderAtEnd('archive_seo_title', '{post_type}')">Вставити тип запису</button>
    <button type="button" onclick="insertPlaceholderAtEnd('archive_seo_title', '{site_title}')">Вставити назву сайту</button>
    <button type="button" onclick="insertPlaceholderAtEnd('archive_seo_title', '{current_year}')">Вставити поточний рік</button>
</p>
<p>
    <label for="archive_meta_description">Мета-описание для архива:</label><br>
    <textarea id="archive_meta_description" name="archive_meta_description" style="width: 100%;"><?php echo esc_textarea($archive_meta_description); ?></textarea>
    <button type="button" onclick="insertPlaceholderAtEnd('archive_meta_description', '{post_type}')">Вставити тип запису</button>
    <button type="button" onclick="insertPlaceholderAtEnd('archive_meta_description', '{site_title}')">Вставити назву сайту</button>
    <button type="button" onclick="insertPlaceholderAtEnd('archive_meta_description', '{current_year}')">Вставити поточний рік</button>
</p>
<p>
    <label for="archive_indexing">Индексировать архив:</label><br>
    <select id="archive_indexing" name="archive_indexing">
        <option value="yes" <?php selected($archive_indexing, 'yes'); ?>>Так</option>
        <option value="no" <?php selected($archive_indexing, 'no'); ?>>Ні</option>
    </select>
    <br><small>Если выбрано "Ні", архив будет исключён из индексации поисковыми системами.</small>
</p>
	
	<?php
    } submit_button('Сохранить настройки'); ?>
</form>